Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000909 [1003.1(2013)/Issue7+TC1] System Interfaces Editorial Enhancement Request 2015-01-06 23:16 2015-03-26 16:21
Reporter safinaskar View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Askar Safin
Organization
User Reference
Section clock_nanosleep
Page Number 676
Line Number 22951-22956
Interp Status ---
Final Accepted Text Note: 0002517
Summary 0000909: rqtp and rmtp arguments may point to the same object
Description -function has no effect on the structure referenced by rmtp.
+function has no effect on the structure referenced by rmtp. In both cases the rqtp and rmtp arguments may point to the same object.

nanosleep already has this useful sentence, so please add it to clock_nanosleep
Desired Action Fix
Tags tc2-2008
Attached Files

- Relationships

-  Notes
(0002517)
geoffclare (manager)
2015-01-07 09:39

I agree that the clock_nanosleep() and nanosleep() pages should be made consistent as regards this statement. However, the use of "may" is incorrect - it should be "can". Also, the statement should be in the same place as on the nanosleep() page, not added to the end of the paragraph.

On Page: 676 Line: 22954 Section: clock_nanosleep()

In the RETURN VALUE section, change from:

If the rmtp argument is NULL, the remaining time is not returned.

to:

The rqtp and rmtp arguments can point to the same object. If the rmtp argument is NULL, the remaining time is not returned.

On Page: 1373 Line: 45379 Section: nanosleep()

In the RETURN VALUE section, change from:

The rqtp and rmtp arguments may point to the same object.

to:

The rqtp and rmtp arguments can point to the same object.

- Issue History
Date Modified Username Field Change
2015-01-06 23:16 safinaskar New Issue
2015-01-06 23:16 safinaskar Name => Askar Safin
2015-01-06 23:16 safinaskar Section => clock_nanosleep
2015-01-06 23:16 safinaskar Page Number => 676
2015-01-06 23:16 safinaskar Line Number => 22951-22956
2015-01-07 09:39 geoffclare Note Added: 0002517
2015-03-26 16:21 geoffclare Interp Status => ---
2015-03-26 16:21 geoffclare Final Accepted Text => Note: 0002517
2015-03-26 16:21 geoffclare Status New => Resolved
2015-03-26 16:21 geoffclare Resolution Open => Accepted As Marked
2015-03-26 16:21 geoffclare Tag Attached: tc2-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker